﻿namespace VTableNamespace
{
    public partial class VTable
    {
        /// <summary>Struktura przechowujaca dane pobrane z tabeli dokumentu Word</summary>
        public struct Record
        {
            /// <summary>Pole typu string o dostepie przez AsStr</summary>
            public string s;

            /// <summary>Pole typu int o dostepie przez AsInt</summary>
            public int i;
        }

        /// <summary>Klasa Value, podstawowy element uzywany przez klase VTable</summary>
        public class Value
        {
            /// <summary>Pole - struktura typu Record</summary>
            private Record record;

            /// <summary>Konstruktor klasy Value</summary>
            public Value()
            {
                record.s = "";
                record.i = 0;
            }

            /// <summary>Wlasnosc do zmiany i pobierania pola struktury Record</summary>
            /// <returns>Pole s typu string</returns>
            public string AsStr
            {
                set { record.s = value; }
                get { return record.s; }
            }

            /// <summary>Wlasnosc do zmiany i pobierania pola struktury Record</summary>
            /// <returns>Pole i typu int</returns>
            public int AsInt
            {
                set { record.i = value; }
                get { return record.i; }
            }
        }
    }
}
